WebGate Webeye ActiveX Control Stack Based Buffer Overflow Vulnerability

High Nessus Plugin ID 81787


The remote host has an ActiveX control with a buffer overflow vulnerability.


The WebGate 'webeye.ocx' ActiveX control installed on the remote host is affected by a stack-based buffer overflow vulnerability due to improperly processing input to the 'ip_address' parameter. A remote attacker, using specially crafted input, can exploit this to execute arbitrary code.


Uninstall the ActiveX control or disable it by setting the 'killbit'.

See Also




Plugin Details

Severity: High

ID: 81787

File Name: webeye_activex_bof.nasl

Version: $Revision: 1.3 $

Type: local

Agent: windows

Family: Windows

Published: 2015/03/12

Modified: 2015/10/08

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:advantech:webaccess

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2014/11/19

Exploitable With

Core Impact

Reference Information

CVE: CVE-2014-8388

BID: 71193

OSVDB: 114842